Create a claim link
curl --request POST \
--url https://api.letsdothis.com/v0/partners/{id}/claim-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emailAddress": "partner@letsdothis.com"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({emailAddress: 'partner@letsdothis.com'})
};
fetch('https://api.letsdothis.com/v0/partners/{id}/claim-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/partners/{id}/claim-links"
payload = { "emailAddress": "partner@letsdothis.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"link": "https://letsdothis.com/partner-claim-by-token?claimToken=9af2218cea7dbfdce4b"
}{
"statusCode": 404,
"error": "<string>",
"message": "<string>"
}Partners
Create a claim link
Creates a claim link for a given partner or reserved entry group.
When providing a reservedEntryId, the claim link will point to the dashboard where the partner can manage their entries and allocate them.
Otherwise the claim link will point to the general partner dashboard, where partners can manage their general settings.
POST
/
v0
/
partners
/
{id}
/
claim-links
Create a claim link
curl --request POST \
--url https://api.letsdothis.com/v0/partners/{id}/claim-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emailAddress": "partner@letsdothis.com"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({emailAddress: 'partner@letsdothis.com'})
};
fetch('https://api.letsdothis.com/v0/partners/{id}/claim-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/partners/{id}/claim-links"
payload = { "emailAddress": "partner@letsdothis.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"link": "https://letsdothis.com/partner-claim-by-token?claimToken=9af2218cea7dbfdce4b"
}{
"statusCode": 404,
"error": "<string>",
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the resource to query by
Body
application/json
Was this page helpful?

